#ifndef __BMIC_EEPROM_H__
#define __BMIC_EEPROM_H__

#define EEPROM_BOARDTYPE_ADDR	0
#define EEPROM_BOARDTYPE_LEN	4
#define EEPROM_REVISON_ADDR	4
#define EEPROM_REVISON_LEN	2
#define EEPROM_SERIALNO_ADDR	8
#define EEPROM_SERIALNO_LEN	4

#define EEPROM_KOTAI_ADDR	8
#define EEPROM_KOTAI_LEN	6

#define EEPROM_SERIAL_TYPE_ADDR	15
#define EEPROM_SERIAL_TYPE_LEN	1

#define EEPROM_SERIAL_TYPE_SERIAL	0x01
#define EEPROM_SERIAL_TYPE_KOTAI	0x02

extern int bmic_eeprom_init(void);
extern int bmic_eeprom_read(int fd, int addr, void *val, size_t len);
extern void bmic_eeprom_exit(int fd);

#endif
