#include <stdio.h>
#include <stdint.h>
#define UID_SIZE (32)

#define UIDFILE0	"/sys/fsl_otp/HW_OCOTP_TESTER0"
#define UIDFILE1	"/sys/fsl_otp/HW_OCOTP_TESTER1"
#define UIDOFFSET0	4
#define UIDOFFSET1	8

static inline int get_uid(char *uid)
{
	int ret;

	uint32_t uidfile0_data;
	uint32_t uidfile1_data;

	ret = otp_read(UIDFILE0, UIDOFFSET0, &uidfile0_data);
	if (ret)
		return ret;

	ret = otp_read(UIDFILE1, UIDOFFSET1, &uidfile1_data);
	if (ret)
		return ret;

	memset(uid, '0', 16);

	sprintf(uid+16, "%08x%08x", uidfile0_data, uidfile1_data);

	return 0;
}
